Subject: Re: [PATCH 2/2] correct dev_alloc_skb kerneldoc

From: Christoph Hellwig <[email-masked]>
Date: Fri, 14 Jul 2006 08:49:03 +0200

On Fri, Jul 14, 2006 at 10:27:27AM +0300, Samuel Ortiz wrote:
> > The patchkit for this is at http://verein.lst.de/~hch/patches.skb.tgz, it
> > includes the first two cleanup patches I posted previously (Any plans
> > to put them in?), a patch to move __dev_alloc_skb out of line because
> > otherwise we'd need to include netdevice.h in skbuff.h which creates
> > lots of problems (and moving it out of lines shaves 10kb off a
> > allyesconfig), the dev_alloc_skb prototype changes and some experimental
> > patches to make dev_alloc_skb nodeaware.
> In those patches you change dev_alloc_skb prototype, but then the new netdev
> argument is not used by __dev_alloc_skb() to allocate the sk_buff on the
> correct node. Do you plan to introduce an alloc_skb_node() later or am I 
> missing something ? 

The nodeaware-skb_alloc patch later in the series introduces a node
argument to __alloc_skb.  the nodeaware-netdev patch adds a node
argument to struct netdevice that dev_alloc_skb then passes to
__alloc_skb.  All of these patches are in the tarball my previous mail
points to.